%% Leser inn data fra Veietanken og de loggede voltverdiene-----------------
clear all
clc
temp=rawdatas_import();
yi=xlsread('Q.xls');
lengde=length(temp);
t=1.960;
yavg=mean2(yi);
%% Finner summen av alle voltverdiene ved alle mlepunktene og hvor mange 
%  punkter det i hver mleserie

for i = 1:lengde
    nan_locations = find(isnan(temp{2,i}));
    temp{2,i}(nan_locations) = 0;
    m_rows(i) = size(temp{2,i},1);
    n_cols(i) = size(temp{2,i},2);
    tot_x(i) = sum(sum(temp{2,i}));
    temp2(i)=mean2(temp{2,i});
    x_values(i) = temp(2,i);
end
totalx=sum(tot_x);
xavg=mean2(temp2);

%% Regner ut Sxx Syy og Sxy og b. Kjrer tre for-lkker for  hente ut hver 
%  eneste enkeltverdi fra matrisene


for i = 1:lengde
    x_temp = x_values(i);
    for j = 1:m_rows(i)
        for k = 1:n_cols(i)
            y = yi(i);
            y_temp2(j,k) = (y-yavg)^2;
            x = x_temp{1,1};
            x_temp2(j,k) = (x(j,k)-xavg)^2;
            xy_temp2(j,k) = (x(j,k)-xavg)*(y-yavg);
        end
    end
    y_temp3(i)=sum(sum(y_temp2));
    x_temp3(i)=sum(sum(x_temp2));
    xytemp3(i)=sum(sum(xy_temp2));
    maxtemp(i)=max(max(x));
    mintemp(i)=min(min(x));
    i
end

Sxx = sum(x_temp3)
Syy = sum(y_temp3)
Sxy = sum(xytemp3)

b=Sxy/Sxx

%% Setter inn kalibreringsligningen som er funnet ved  benytte excel:


%% Regner ut varians og standardavvik og finner confidensintervallet
%  plotter s usikkerheten.

s2 = (Syy-b*Sxy)/(totalx-2)

s=sqrt(s2)

A=max(maxtemp);
B=min(mintemp);

for x0=1:8
    Y(x0) = (0.012415793*x0-0.024820801)*1000
%     Y(x0) = 81.49352283*x0-162.87533823;
    con_interval(x0)=t*s*sqrt((1/totalx)+(((x0)-xavg)^2)/Sxx);
    yeah(x0) = Y(x0)+con_interval(x0)*10000;
    yeah2(x0) = Y(x0)-con_interval(x0)*10000;
end


plot(Y)
xlabel('Volt [V]')
ylabel('Volume flow [l/s]')
title('Calibration curve with 95% confidence interval scaled by 1000')
grid on
hold on
plot(yeah,'color','red')
hold on
plot(yeah2,'color','red')
hold on