%------- PLOT EFFICIENCY HILL DIAGRAM (meandata_hillplot.m) -------------------------------%

function [qed ned eta map] = meandata_hillplot(source)

    rows1 = length(source);
    rows2 = length(source{1,1}.etah);

    g = 9.82146514;
    qed = zeros(1,rows1);
    ned = (36:0.5:44)/sqrt(g);
    eta = zeros(rows2,rows1);
    %map = eta;
    %map_ned = eta;
    
    k = 1;
    
    for i = 1:rows1

        qed(i) = mean(source{i,1}.qed);
        
        
        for ii = 1:rows2
            eta(ii,i) = source{i,1}.etah(ii,1);
            
            %map(k,1) = source{i,1}.qed(ii,1);
            %map(k,2) = source{i,1}.ned(ii,1);
            %map(k,3) = ned(ii);
            
            k = k + 1;
            
            %err_plot(j,i) = source{i,1}.eta_h(j,2);
        end

    end

    %Create a figure of (ned,qed,eta) = (x,y,z)
    figure
    
    set(gcf,'paperOrientation','landscape','paperUnits','normalized','paperType','A4')
    %[c] = contour(ned,qed',eta',[0.85:0.004:0.89 0.89:0.001:0.8939 0.8939:0.0001:0.894]);
    [c] = contour(source{1,1}.ned(:,1),qed',eta',[0.85:0.005:0.88 0.88:0.003:0.89 0.89:0.001:0.897]);
    clabel(c);
    xlabel('n_{ED}');
    ylabel('Q_{ED}');
    %set(gca,'fontsize',14);
    set(gca,'xtickmode','manual','xtick',11:0.5:14.5);
    grid on
    
    
    
    
end
