
%-------------- IMPORT PELTON RAW DATA ---------------------------------------------------%
%   
%   This function import rawdata from .txt files of the form:

%    ------- ------- ------- ------- -------
%   |   A   |   B   |   C   |   D   |   E   |
%    ------- ------- ------- ------- -------
%   |  a_1  |  b_1  |  c_1  |   .   |   .   |
%   |  a_2  |  b_2  |   .   |   .   |   .   |
%   |   .   |   .   |   .   |   .   |   .   |
%   |  a_n  |  b_n  |  c_n  |   .   |   .   |
%    ------- ------- ------- ------- -------
%   |   A   |   B   |   C   |   D   |   E   |
%    ------- ------- ------- ------- -------
%   |  a_1  |  b_1  |  c_1  |   .   |   .   |
%   |   .   |   .   |   .   |   .   |   .   |
%   |  a_n  |  b_n  |  c_n  |   .   |   .   |
%    ------- ------- ------- ------- -------
%
%   and return a matrix


function [rawdata] = rawdata_import()

    %Open file import dialog
    [files,path] = uigetfile('*.txt','Import file(s) - (.txt) only','MultiSelect', 'on');

    %Find number of files selected
    if ischar(files) == 1 
        fileNum = 1; 
    else
        fileNum = length(files);
    end
    %Loop through source files

    for j = 1:fileNum

        if fileNum == 1
            file = files;
        else
            file = char(files(j));
        end

        filepath = [path,'',file];
        file = dir(filepath);
        fid = fopen(filepath);

        pos = 1; %Byte number to start import
        i = 2;
        while pos < file.bytes

            [rawdata(i,j),pos] = textscan(fid, '%f %f %f %f %f %f ','HeaderLines',2,...
                'CollectOutput', 1);
            i = i+1;
        end

        rawdata{1,j} = file; %Set file info as column header
        fclose(fid);

    end
end

